Investors, warrants & staking

Get Sub Investor Warrants

List warrant rows visible to the held sub-investor.

GEThttps://api.toku.com/tga/get-sub-investor-warrants

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-sub-investor-warrants' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "warrantID": "string",
    "roleInOrgID": "string",
    "warrantName": "string",
    "investorEntityID": "string",
    "warrantDescription": "string",
    "warrantStatus": "DRAFT",
    "warrantConfigurationID": "string",
    "firmName": "string",
    "amount": 0,
    "price": 0,
    "totalValue": 0,
    "issueDate": "string",
    "expirationDate": "string",
    "lockupPeriodMonths": 0,
    "lockupFrequencyType": "MONTHLY",
    "unlockDateOverride": "string",
    "agreementSignedAt": "string",
    "exerciseNoticeTermsHash": "string",
    "exerciseNoticeEnvelopeID": "string",
    "exerciseNoticeEnvelopeCompletedAt": "string",
    "exerciseNoticeSignedAt": "string",
    "paidAt": "string",
    "settledAt": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "legacyMigratedAt": "string",
    "legacyModelID": 0,
    "isSigned": true,
    "isPaid": true,
    "isExercised": true,
    "isUnderLockup": true,
    "isOffPlatform": true,
    "isTerminated": true,
    "warrantLabel": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
warrantIDstringrequired
roleInOrgIDstringrequired
warrantNamestringrequired
investorEntityIDstring | nullrequired
warrantDescriptionstring | nullrequired
warrantStatusstringrequired

Available options: DRAFT, AGREEMENT_SENT, AGREEMENT_SIGNED, EXERCISE_NOTICE_SENT, EXERCISE_NOTICE_SIGNED, EXERCISE_ELIGIBLE, PENDING_PAYMENT_VERIFICATION, PAID, IN_LOCKUP, SETTLED, PENDING_SETTLEMENT

warrantConfigurationIDstringrequired
firmNamestring | nullrequired
amountnumberrequired
pricenumber | nullrequired
totalValuenumber | nullrequired
issueDatestringrequired
expirationDatestring | nullrequired
lockupPeriodMonthsinteger | nullrequired
lockupFrequencyTypestringrequired

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY

unlockDateOverridestring | nullrequired
agreementSignedAtstring | nullrequired
exerciseNoticeTermsHashstring | nullrequired
exerciseNoticeEnvelopeIDstring | nullrequired
exerciseNoticeEnvelopeCompletedAtstring | nullrequired
exerciseNoticeSignedAtstring | nullrequired
paidAtstring | nullrequired
settledAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
isSignedboolean | nullrequired
isPaidboolean | nullrequired
isExercisedboolean | nullrequired
isUnderLockupboolean | nullrequired
isOffPlatformboolean | nullrequired
isTerminatedboolean | nullrequired
warrantLabelstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits